﻿<%@ Control Language="C#" AutoEventWireup="true" EnableViewState="false" CodeBehind="recentposts.ascx.cs" Inherits="aspnetforum.recentposts" %>

<asp:repeater id="rptMessagesList" runat="server" EnableViewState="False" OnItemDataBound="rptMessagesList_ItemDataBound">
	<HeaderTemplate>
		<table width="100%" cellpadding="19" class="roundedborder postlist">
	</HeaderTemplate>
	<ItemTemplate>
		<tr valign="top" <%# Container.ItemType == ListItemType.AlternatingItem ? " class='altItem'" : "" %>>
			<td>
				<span class="gray">
				<%# aspnetforum.ForumPage.ToAgoString((DateTime)Eval("CreationDate"))%><br />
				Topic:</span>
				<a href='<%# aspnetforum.Utils.Various.GetTopicURL(Eval("TopicID"), Eval("Subject"), true) %>#post<%# Eval("MessageID") %>'><b><%# Eval("Subject") %></b></a>
				<br/><br/>
				<%# aspnetforum.Utils.User.DisplayUserInfo(Eval("UserID"), Eval("UserName"), Eval("PostsCount"), Eval("AvatarFileName"), Eval("FirstName"), Eval("LastName"))%>
			</td>
			<td style="border-bottom:none;">
				<%# aspnetforum.Utils.Formatting.FormatMessageHTML(Eval("Body").ToString())%>
			</td>
		</tr>
		<tr class="utils <%# Container.ItemType == ListItemType.AlternatingItem ? " altItem" : "" %>">
			<td></td>
			<td class="gray" align="right"><a runat="server" id="lnkQuote" visible="False"><%= aspnetforum.Resources.various.ReplyWithQuote %></a></td>
		</tr>
	</ItemTemplate>
	<FooterTemplate></table></FooterTemplate>
</asp:repeater>